# BasicFileLocation.h File Reference

`#include <string>`

Include dependency graph for BasicFileLocation.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | BasicFileLocation
| This class is mainly used by BasicException, but can be used as a general class for recording a line and column location with in a file. More...

## Defines

#define | FILE_LOCATION BasicFileLocation(__FILE__, __LINE__, -1)

## Functions

std::ostream & | operator<< (std::ostream &stream, const BasicFileLocation &fl)
| Print a file location to a stream.

## Define Documentation

#define FILE_LOCATION BasicFileLocation(__FILE__, __LINE__, -1)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const BasicFileLocation & | fl
| ) |

Print a file location to a stream.

The format is as follows.

filename[:line[:col]]

If no line or column has been set then they will not be displayed.

Returns:
  A reference to the passed stream.